<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="a9ebbefe-a690-44cd-94b2-2a1d1f1003d8" name="更改" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="FlaskConsoleOptions" custom-start-script="import sys&#10;sys.path.extend([WORKING_DIR_AND_PYTHON_PATHS])&#10;from flask.cli import ScriptInfo&#10;locals().update(ScriptInfo(create_app=None).load_app().make_shell_context())&#10;print(&quot;Python %s on %s\nApp: %s [%s]\nInstance: %s&quot; % (sys.version, sys.platform, app.import_name, app.env, app.instance_path))">
    <envs>
      <env key="FLASK_APP" value="app" />
    </envs>
    <option name="myCustomStartScript" value="import sys&#10;sys.path.extend([WORKING_DIR_AND_PYTHON_PATHS])&#10;from flask.cli import ScriptInfo&#10;locals().update(ScriptInfo(create_app=None).load_app().make_shell_context())&#10;print(&quot;Python %s on %s\nApp: %s [%s]\nInstance: %s&quot; % (sys.version, sys.platform, app.import_name, app.env, app.instance_path))" />
    <option name="myEnvs">
      <map>
        <entry key="FLASK_APP" value="app" />
      </map>
    </option>
  </component>
  <component name="HighlightingSettingsPerFile">
    <setting file="file://$PROJECT_DIR$/unet-pytorch-main/predict.py" root0="FORCE_HIGHLIGHTING" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 2
}</component>
  <component name="ProjectId" id="2XTKRrHaoqPMd5FjaINJD4P9zwa" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "Python.1.executor": "Run",
    "Python.dataloader.executor": "Run",
    "Python.get_miou.executor": "Run",
    "Python.json.executor": "Run",
    "Python.json_to_dataset.executor": "Run",
    "Python.p.executor": "Run",
    "Python.predict.executor": "Run",
    "Python.qqq.executor": "Run",
    "Python.shujuzengqiang.executor": "Run",
    "Python.summary.executor": "Run",
    "Python.train.executor": "Run",
    "Python.train1.executor": "Run",
    "Python.unet.executor": "Run",
    "Python.utils_fit.executor": "Run",
    "Python.voc_annotation.executor": "Run",
    "Python.z.executor": "Run",
    "Python.zhuanhuan.executor": "Run",
    "RunOnceActivity.OpenProjectViewOnStart": "true",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "ignore.virus.scanning.warn.message": "true",
    "last_opened_file_path": "C:/Users/yqh/Desktop/Original code/RB-UNet",
    "node.js.detected.package.eslint": "true",
    "node.js.detected.package.tslint": "true",
    "node.js.selected.package.eslint": "(autodetect)",
    "node.js.selected.package.tslint": "(autodetect)",
    "nodejs_package_manager_path": "npm",
    "settings.editor.selected.configurable": "com.jetbrains.python.configuration.PyActiveSdkModuleConfigurable",
    "vue.rearranger.settings.migration": "true"
  }
}]]></component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\yqh\Desktop\Original code\RB-UNet\RB-UNet" />
      <recent name="C:\Users\yqh\Desktop\程序\unet-pytorch-main\unet-pytorch-main" />
      <recent name="C:\Users\yqh\Desktop\程序\unet-pytorch-main\unet-pytorch-main\logs" />
      <recent name="C:\Users\yqh\Desktop\程序\unet-pytorch-main\unet-pytorch-main\VOCdevkit\VOC2007" />
      <recent name="C:\Users\yqh\Desktop\程序\unet-pytorch-main\unet-pytorch-main\VOCdevkit\VOC2007\SegmentationClass" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\Users\yqh\Desktop\程序\unet-pytorch-main\unet-pytorch-main\nets" />
      <recent name="C:\Users\yqh\Desktop\程序\unet-pytorch-main\unet-pytorch-main" />
      <recent name="C:\Users\yqh\Desktop\unet-pytorch-main\unet-pytorch-main\chulij\train_masks\niaochao" />
      <recent name="C:\Users\yqh\Desktop\unet-pytorch-main\unet-pytorch-main\chulij\train_masks\qiqiu" />
      <recent name="C:\Users\yqh\Desktop\unet-pytorch-main\unet-pytorch-main\chulij\train" />
    </key>
  </component>
  <component name="SharedIndexes">
    <attachedChunks>
      <set>
        <option value="bundled-python-sdk-7a29c1521ef0-c986f194a52a-com.jetbrains.pycharm.pro.sharedIndexes.bundled-PY-233.11799.298" />
      </set>
    </attachedChunks>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="应用程序级" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="默认任务">
      <changelist id="a9ebbefe-a690-44cd-94b2-2a1d1f1003d8" name="更改" comment="" />
      <created>1698647625069</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1698647625069</updated>
      <workItem from="1702450684237" duration="1327000" />
      <workItem from="1702452031950" duration="3593000" />
      <workItem from="1702455882278" duration="12044000" />
      <workItem from="1702522729041" duration="732000" />
      <workItem from="1702523492543" duration="14194000" />
      <workItem from="1702798879723" duration="2721000" />
      <workItem from="1702802624519" duration="821000" />
      <workItem from="1702803467148" duration="403000" />
      <workItem from="1702804101813" duration="2595000" />
      <workItem from="1702887070526" duration="9752000" />
      <workItem from="1702976802380" duration="4340000" />
      <workItem from="1703038131812" duration="5532000" />
      <workItem from="1703043925470" duration="4446000" />
      <workItem from="1703121746924" duration="4749000" />
      <workItem from="1703147198833" duration="307000" />
      <workItem from="1703229302985" duration="2571000" />
      <workItem from="1703239412799" duration="107000" />
      <workItem from="1703489451765" duration="2141000" />
      <workItem from="1703574941806" duration="8664000" />
      <workItem from="1704333127085" duration="4844000" />
      <workItem from="1704958008316" duration="2712000" />
      <workItem from="1705027597185" duration="936000" />
      <workItem from="1705146456773" duration="7264000" />
      <workItem from="1705154614002" duration="8145000" />
      <workItem from="1705322879911" duration="7381000" />
      <workItem from="1705565238287" duration="8073000" />
      <workItem from="1705630643803" duration="27115000" />
      <workItem from="1706615974809" duration="7473000" />
      <workItem from="1706769426579" duration="690000" />
      <workItem from="1706770460783" duration="5206000" />
      <workItem from="1707051098838" duration="50000" />
      <workItem from="1707217074031" duration="613000" />
      <workItem from="1708782153443" duration="18521000" />
      <workItem from="1708925014667" duration="37215000" />
      <workItem from="1709003670524" duration="26665000" />
      <workItem from="1709100538646" duration="2708000" />
      <workItem from="1709103269389" duration="9017000" />
      <workItem from="1709114342309" duration="257000" />
      <workItem from="1709114613331" duration="1758000" />
      <workItem from="1709301169174" duration="30839000" />
      <workItem from="1709449281218" duration="18390000" />
      <workItem from="1709513149348" duration="5444000" />
      <workItem from="1709520074260" duration="162000" />
      <workItem from="1709521053490" duration="1117000" />
      <workItem from="1709596894275" duration="8548000" />
      <workItem from="1709808710130" duration="3279000" />
      <workItem from="1709858484107" duration="2998000" />
      <workItem from="1710140229039" duration="1040000" />
      <workItem from="1710741604487" duration="670000" />
      <workItem from="1711419412873" duration="2521000" />
      <workItem from="1711615781029" duration="1399000" />
      <workItem from="1711675220269" duration="4198000" />
      <workItem from="1711692082528" duration="9335000" />
      <workItem from="1711934063281" duration="7806000" />
      <workItem from="1711968012075" duration="1246000" />
      <workItem from="1712386100213" duration="6508000" />
      <workItem from="1712394887021" duration="1785000" />
      <workItem from="1712479623311" duration="138000" />
      <workItem from="1712993695620" duration="99000" />
      <workItem from="1714984221802" duration="1889000" />
      <workItem from="1715312038932" duration="1011000" />
      <workItem from="1715314713083" duration="217000" />
      <workItem from="1715337676437" duration="4122000" />
      <workItem from="1715385937432" duration="2430000" />
      <workItem from="1715476458858" duration="3855000" />
      <workItem from="1715565603772" duration="34000" />
      <workItem from="1716188940351" duration="2764000" />
      <workItem from="1716255816910" duration="1605000" />
      <workItem from="1716259649628" duration="505000" />
      <workItem from="1716260575594" duration="2000" />
      <workItem from="1716261103178" duration="229000" />
      <workItem from="1716261394849" duration="145000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="com.intellij.coverage.CoverageDataManagerImpl">
    <SUITE FILE_PATH="coverage/RB_UNet$1.coverage" NAME="1 覆盖结果" MODIFIED="1716192316206" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/RB-UNet" />
    <SUITE FILE_PATH="coverage/unet_pytorch_main$train1.coverage" NAME="train1 覆盖结果" MODIFIED="1702456687579" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/unet-pytorch-main" />
    <SUITE FILE_PATH="coverage/unet_pytorch_main$json_to_dataset.coverage" NAME="json_to_dataset 覆盖结果" MODIFIED="1712386276724" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/unet-pytorch-main" />
    <SUITE FILE_PATH="coverage/unet_pytorch_main$json.coverage" NAME="json 覆盖结果" MODIFIED="1705334043327" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/unet_pytorch_main$unet.coverage" NAME="unet 覆盖结果" MODIFIED="1711938071168" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/unet-pytorch-main" />
    <SUITE FILE_PATH="coverage/unet_pytorch_main$predict.coverage" NAME="predict 覆盖结果" MODIFIED="1712395248234" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/unet-pytorch-main" />
    <SUITE FILE_PATH="coverage/unet_pytorch_main$p.coverage" NAME="p 覆盖结果" MODIFIED="1706617979978" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/../.." />
    <SUITE FILE_PATH="coverage/unet_pytorch_main$train.coverage" NAME="train 覆盖结果" MODIFIED="1715479845430" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/unet-pytorch-main" />
    <SUITE FILE_PATH="coverage/unet_pytorch_main$utils_fit.coverage" NAME="utils_fit 覆盖结果" MODIFIED="1703584668268" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/unet-pytorch-main/utils" />
    <SUITE FILE_PATH="coverage/unet_pytorch_main$summary.coverage" NAME="summary 覆盖结果" MODIFIED="1710140560432" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/unet-pytorch-main" />
    <SUITE FILE_PATH="coverage/unet_pytorch_main$qqq.coverage" NAME="qqq 覆盖结果" MODIFIED="1702454854831" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/unet-pytorch-main" />
    <SUITE FILE_PATH="coverage/unet_pytorch_main$shujuzengqiang.coverage" NAME="shujuzengqiang 覆盖结果" MODIFIED="1709357277020" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/unet-pytorch-main" />
    <SUITE FILE_PATH="coverage/RB_UNet$json_to_dataset.coverage" NAME="json_to_dataset 覆盖结果" MODIFIED="1716192434429" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/RB-UNet" />
    <SUITE FILE_PATH="coverage/unet_pytorch_main$dataloader.coverage" NAME="dataloader 覆盖结果" MODIFIED="1709354779251" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/unet-pytorch-main/utils" />
    <SUITE FILE_PATH="coverage/unet_pytorch_main$get_miou.coverage" NAME="get_miou 覆盖结果" MODIFIED="1715481041158" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/unet-pytorch-main" />
    <SUITE FILE_PATH="coverage/unet_pytorch_main$zhuanhuan.coverage" NAME="zhuanhuan 覆盖结果" MODIFIED="1705335944563" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/unet-pytorch-main" />
    <SUITE FILE_PATH="coverage/RB_UNet$predict.coverage" NAME="predict 覆盖结果" MODIFIED="1716256579968" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/RB-UNet" />
    <SUITE FILE_PATH="coverage/unet_pytorch_main$z.coverage" NAME="z 覆盖结果" MODIFIED="1703124357618" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/unet-pytorch-main" />
    <SUITE FILE_PATH="coverage/unet_pytorch_main$voc_annotation.coverage" NAME="voc_annotation 覆盖结果" MODIFIED="1712386380735" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/unet-pytorch-main" />
  </component>
</project>